aside {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
  height: calc(100% - 40px);
}

.logo-sec {
  text-align: center;
  padding: 20px 0;
}

aside .logo-sec img {
  max-width: 100%;
  padding-inline: 20px;
}
aside .side-links {
  max-width: 100%;
}
aside .side-links hr {
  margin: 20px 0;
}

.dash-links {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: stretch;
  gap: 10px;
  padding: 10px;
}

.dash-links .dash-link.active,
.dash-links .dash-link:hover {
  border-radius: 16px;
  opacity: 0.9;
  background: var(--bg-primary-gradient);
  box-shadow: 0 20px 50px 0 rgba(55, 69, 87, 0.1);
}

.dash-links .dash-link.active a,
.dash-links .dash-link:hover a {
  color: var(--text-inverse);
}

.dash-link.active img,
.dash-link:hover img {
  filter: brightness(0) invert(1); /* Turns black SVGs to white */
}

.dash-links li {
  list-style-type: none;
  border-radius: 15px;
}

.dash-links li a {
  display: flex;
  justify-content: start;
  padding: 8px 16px;
  gap: 15px;
  align-items: center;
  font-size: 16px;
  font-style: normal;
  font-weight: 500;
  color: var(--text-secondary);
  text-decoration: none;
}

.support {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: stretch;
  gap: 10px;
}

h3.support {
  padding: 8px 16px;
  color: var(--text-secondary);
}

.close-btn {
  position: absolute;
  top: 20px;
  right: 30px;
  font-size: 2rem;
  color: var(--text-tertiary);
  background: none;
  border: none;
  cursor: pointer;
  display: none;
}

hr {
  color: var(--text-secondary);
  height: 1px;
  width: 100%;
}

@media (max-width: 992px) {
  .sidenav-links {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    max-height: 100vh;
    overflow-y: auto;
    -webkit-backdrop-filter: blur(4px); /* For Safari support */
    backdrop-filter: blur(4px);
    background-color: rgba(255, 255, 255, 0.9);
    display: flex;
    flex-direction: column;
    justify-content: start;
    align-items: center;
    gap: 20px;
    visibility: hidden;
    transform: translateX(-100%);
    transition: all 0.5s ease-in-out;
    padding-bottom: 40px;
    z-index: 3;
  }

  .sidenav-links.open {
    visibility: visible;
    transform: translateX(0);
    z-index: 3;

    .close-btn {
      display: block;
      top: 20px;
      right: 30px;
      /* z-index: 34; */
    }
  }
  .close-btn {
    display: block;
  }
}

.no-scroll {
  overflow: hidden;
  height: 100vh;
}
